package com.bocloud.ims.entity.common;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 租户资源池关系表
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/25
 */
@Table("tenant_pool")
public class TenantPool extends Generic {

    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("tenant_id")
    private Long tenantId;
    @Column("pool_group_id")
    private Long poolGroupId;

    /**
     *
     */
    public TenantPool() {
    }

    /**
     * @param tenantId
     * @param poolGroupId
     */
    public TenantPool(Long tenantId, Long poolGroupId) {
        this.tenantId = tenantId;
        this.poolGroupId = poolGroupId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getPoolGroupId() {
        return poolGroupId;
    }

    public void setPoolGroupId(Long poolGroupId) {
        this.poolGroupId = poolGroupId;
    }
}
